Package org.apache.tools.ant.types.optional.imageio

# Class Scale.ProportionsAttribute

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.optional.imageio.Scale.ProportionsAttribute

Enclosing class:
  `Scale`

public static class Scale.ProportionsAttribute extends EnumeratedAttribute
Enumerated class for proportions attribute.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor
Description
`ProportionsAttribute()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getValues()`
This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProportionsAttribute

public ProportionsAttribute()

## Method Details

### getValues

public String[] getValues()
This is the only method a subclass needs to implement..

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.